package se.sjv.integration.test.trace;

/**
 * Används för att ändra vad som loggas, skapa se.sjv.integration.switchyard.common.tracer.MessageTracerParameters med
 * implementation fråm interfacet för att tillhandahålla avvikande loggningsbetende avseende loggning av provider,
 * consumer och body.
 */
public interface MessageTracerParameters {

    /**
     * Avgör om meddelandets body ska skrivas ut eller inte.
     * @return sant om body ska loggas, annars returneras falskt
     */
    boolean getPrintBody();

    /**
     * Avgör om meddelanden ska loggas från provider eller inte.
     * @return sant om provider ska loggas, annars returneras falskt
     */
    boolean getPrintProvider();

    /**
     * Avgör om meddelanden ska loggas från consumer eller inte.
     * @return sant om consumer ska loggas, annars returneras falskt
     */
    boolean getPrintConsumer();
}
